# $Revision: 1.20 $, $Date: 2010/06/06 08:38:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	CDF
Summary:	Math::CDF - probabilities and quantiles for several statistical functions
Summary(pl.UTF-8):	Math::CDF - prawdopodobieństwa i kwantyle dla niektórych funkcji statystycznych
Name:		perl-Math-CDF
Version:	0.1
Release:	4
# non-commercial because of some parts of DCDFLIB
License:	non-commercial
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7866c7b6b9d27f0ce4b7637334478ab7
Patch0:		%{name}-system-dcdflib.patch
URL:		http://search.cpan.org/dist/Math-CDF/
BuildRequires:	dcdflib.c-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to the DCDFLIB. Functions are
available for 7 continuous distributions (Beta, Chi-square, F, Gamma,
Normal, Poisson and T-distribution) and for two discrete distributions
(Binomial and Negative Binomial). Optional non-centrality parameters
are available for the Chi-square, F and T-distributions. Cumulative
probabilities are available for all 9 distributions and quantile
functions are available for the 7 continuous distributions.

%description -l pl.UTF-8
Ten moduł udostępnia perlowy interfejs do biblioteki DCDFLIB. Dostępne
są funkcje dla 7 rozkładów ciągłych (Beta, Chi-kwadrat, F, Gamma,
normalnego, Poissona, t Studenta) oraz dwóch dyskretnych (dwumianowego
i odwrotnego dwumianowego). Dostępne są opcjonalne parametry
niecentralności dla rozkładów Chi-kwadrat, F i t Studenta. Funkcje
rozkładu prawdopodobieństwa są dostępne dla wszystkich 9 rozkładów, a
funkcje kwantyli dla 7 ciągłych rozkładów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Math/CDF.pm
%dir %{perl_vendorarch}/auto/Math/CDF
%{perl_vendorarch}/auto/Math/CDF/CDF.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/CDF/CDF.so
%{perl_vendorarch}/auto/Math/CDF/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-CDF.spec,v $
Revision 1.20  2010/06/06 08:38:54  arekm
- release 4

Revision 1.19  2009/09/18 07:05:06  amateja
- release 3

Revision 1.18  2008/03/24 16:01:17  qboosh
- generic URL

Revision 1.17  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.16  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.14  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.13  2004/11/03 22:30:33  paladine
- formatting

Revision 1.12  2004/06/05 18:10:44  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/06 18:20:38  ankry
- fixed perl-devel BR

Revision 1.10  2004/05/05 11:02:13  ankry
- cosmetics

Revision 1.9  2004/04/20 23:59:36  ankry
- ported to new bconds

Revision 1.8  2003/08/18 08:08:59  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:20:46  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:24  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 00:42:37  qboosh
- new
